/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.elvisoperatorwithobjectsnonnull;

import java.util.Objects;

/**
 *
 * @author omozegieaziegbe
 */
public class ElvisOperatorWithObjectsNonNull {

    public static void main(String[] args) {
        // Example usage
        Person personWithNullName = new Person(null);
        Person personWithName = new Person("John");

        // Using Objects.requireNonNullElse to provide default name
        String name1 = Objects.requireNonNullElse(personWithNullName.getName(), "Unknown");
        String name2 = Objects.requireNonNullElse(personWithName.getName(), "Unknown");

        System.out.println(name1); // Output: Unknown
        System.out.println(name2); // Output: John
    }
}

class Person {

    private String name;

    // Constructor
    public Person(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
