/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.elvisoperatorwithcustommethod;

/**
 *
 * @author omozegieaziegbe
 */
public class ElvisOperatorWithCustomMethod {

    public static <T> T elvisOperator(T value, T defaultValue) {
        return (value != null) ? value : defaultValue;
    }

    public static String getName(Person person) {
        return elvisOperator(person.getName(), "UnKnown"); 
    }

    public static void main(String[] args) {

        Person personWithName = new Person();
        personWithName.setName("Alice");
        String result = getName(personWithName);
        System.out.println(result);

        Person personWithoutName = new Person();
        personWithoutName.setName(null);
        String defaultName = getName(personWithoutName);
        System.out.println(defaultName);
    }

}

class Person {

    private String name;

    public Person() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
