/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.elvisoperatorwithtenaryexample;

/**
 *
 * @author omozegieaziegbe
 */
public class ElvisOperatorWithTenaryExample {

    public static String getName(Person person) {
        return person != null ? person.getName() : "Unknown";
    }

    public static void main(String[] args) {
        Person personWithName = new Person();
        personWithName.setName("Alice");
        String name = getName(personWithName);
        System.out.println(name); // Output: Alice

        Person personWithoutName = null;
        String defaultName = getName(personWithoutName);
        System.out.println(defaultName); // Output: Unknown

    }
}

class Person {

    private String name; 

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
